#############################################################################
#  S A M P L E    V A L U E S    F O R    L I B R A R Y - N O T    U S E D  #
#############################################################################


# Default values for library.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

appPath: "/app"
replicaCount: 1

image:
  repository: nginx
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: false
  className: ""
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths:
        - path: /
          pathType: ImplementationSpecific
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}

extraInitContainers: ""

extraContainers: ""

hostAliases: []
# - ip: "1.2.3.4"
#   hostnames:
#     - "my.host.com"

imagePullSecrets: []
# - name: myRegistrKeySecretName

extraEnv: ""
  # KEYCLOAK_LOGLEVEL: DEBUG
  # WILDFLY_LOGLEVEL: DEBUG
  # CACHE_OWNERS_COUNT: "2"
  # CACHE_OWNERS_AUTH_SESSIONS_COUNT: "2"

extraEnvFrom: ""

extraSecEnv: ""

extraSecEnvFrom: ""

livenessProbe: |-
  httpGet:
    path: /auth/
    port: http
  initialDelaySeconds: 0
  timeoutSeconds: 5
# Readiness probe configuration
readinessProbe: |-
  httpGet:
    path: /auth/realms/master
    port: http
  initialDelaySeconds: 30
  timeoutSeconds: 1
# Startup probe configuration
startupProbe: |-
  httpGet:
    path: /auth/
    port: http
  initialDelaySeconds: 30
  timeoutSeconds: 1
  failureThreshold: 60
  periodSeconds: 5

extraVolumes: ""

extraVolumeMounts: ""

extraPorts: []

lifecycleHooks: |-
#  postStart:
#    exec:
#      command:
#        - /bin/sh
#        - -c
#        - ls

propertyFiles: []